GROUPMEMS(8)

NAME
groupmems - verwaltet die Mitglieder der Hauptgruppe eines Benutzers

ÜBERSICHT

groupmems -a user_name | -d user_name | [-g group_name] | -l | -p

BESCHREIBUNG

The groupmems command allows a user to administer their own group membership list without the requirement of superuser privileges. The groupmems utility is for systems that configure its users to be in their own name sake primary group (i.e., guest / guest).

Only the superuser, as administrator, can use groupmems to alter the memberships of other groups.

OPTIONEN

The options which apply to the groupmems command are:

-a, --add user_name
    Add a user to the group membership list.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-d, --delete user_name
    Löscht einen Benutzer aus der Mitgliederliste der Gruppe.

    If the /etc/gshadow file exist, the user will be removed from the list of members and administrators of the group.

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-g, --group group_name
    Root kann eine Gruppen bestimmen, deren Mitgliederliste er bearbeiten will.

-h, --help
    zeigt die Hilfe an und beendet das Programm

-l, --list
    gibt die Mitgliederliste aus

-p, --purge
    löscht alle Benutzer aus der Mitgliederliste der Gruppe

    If the /etc/gshadow file exist, and the group has no entry in the /etc/gshadow file, a new entry will be created.

-R, --root CHROOT_DIR
    Apply changes in the CHROOT_DIR directory and use the configuration files from the CHROOT_DIR directory.

EINRICHTUNG

In this operating system the groupmems executable is not setuid and regular users cannot use it to manipulate the membership of their own group.

KONFIGURATION

The following configuration variables in /etc/login.defs change the behavior of this tool:

MAX_MEMBERS_PER_GROUP (number)
    Maximum members per group entry. When the maximum is reached, a new group entry (line) is started in /etc/group (with the same name, same password, and same GID).

    Der Standardwert ist 0, was zur Folge hat, dass die Anzahl der Mitglieder einer Gruppe nicht begrenzt ist.

    Diese Fähigkeit (der aufgeteilten Gruppe) ermöglicht es, die Zeilenlänge in der Gruppendatei zu begrenzen. Damit kann sichergestellt werden, dass die Zeilen für NIS-Gruppen nicht länger als 1024 Zeichen sind.

    Falls Sie eine solche Begrenzung benötigen, können Sie 25 verwenden.

    Hinweis: Aufgeteilte Gruppen werden möglicherweise nicht von allen Werkzeugen unterstützt, selbst nicht aus der Shadow-Werkzeugsammlung. Sie sollten diese Variable nur setzen, falls Sie zwingend darauf angewiesen sind.

DATEIEN

/etc/group
    Informationen zu den Gruppenkonten

/etc/gshadow
    verschlüsselte Informationen zu den Gruppenkonten

SIEHE AUCH

chfn(1), chsh(1), passwd(1), groupadd(8), groupdel(8), useradd(8), userdel(8), usermod(8).